##########################
##第7章　実証分析問題7-B##
##########################


##実証分析問題7-B(2)
#データの読み込み
happy_work7 <- read.table("7_3_happy_work.csv", header = TRUE, sep = ",")
reg1 <- lm(happy_work ~ commute + income + yeduc + female + female_commute + female_yeduc + female_income, data = happy_work7)
summary(reg1)

#実証分析問題7-B(3)
reg2 <- lm(happy_work ~ commute + income + yeduc, data = subset(happy_work7, female == 0))
SSR1 <- deviance(reg2)

reg3 <- lm(happy_work ~ commute + income + yeduc, data = subset(happy_work7, female == 1))
SSR2 <- deviance(reg3)

reg4 <- lm(happy_work ~ commute + income + yeduc, data = happy_work7)
SSR <- deviance(reg4)

k = reg4$rank
Fstat <- (SSR-(SSR1 + SSR2))/(SSR1 + SSR2) * (nrow(happy_work7) - 2*k)/k
Fstat
#F統計量よりp値
1-pf(Fstat, k, (nrow(happy_work7) - 2*k))
#あるいは
anova(reg1, reg4)

##実証分析問題7-B(4)
#男性
summary(reg2)
#女性
summary(reg3)