##################################
## 第6章　重回帰分析の基本 例6.4##
##################################

#データの読み込み
yeduc6 <- read.table("6_2_yeduc.csv", header = TRUE, sep = ",")

#修学年数（yeduc）を母親大学ダミー（mocograd）に回帰
reg1 <- lm(yeduc ~ mocograd, data = yeduc6)
summary(reg1)

#修学年数（yeduc）を母親大学ダミー（mocograd）と父親大学ダミー（pacograd）に回帰
reg2 <- lm(yeduc ~ mocograd + pacograd, data = yeduc6)
summary(reg2)

#母親大学ダミー（mocograd）と父親大学ダミー（pacograd）の相関係数計算
cor(yeduc6$mocograd, yeduc6$pacograd)
